//---------------------------------------------------------------------------

#ifndef fourierH
#define fourierH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "Spin.hpp"
#include "utilidades.h"
#include <Dialogs.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TForm13 : public TForm
{
__published:	// IDE-managed Components
	TScrollBox *ScrollBox1;
	TImage *Image1;
	TButton *Button1;
	TButton *Button3;
	TSpinEdit *SpinEdit1;
	TLabel *Label2;
	TShape *Shape1;
	TShape *Shape2;
	TShape *Shape3;
	TButton *Button4;
	TSaveDialog *guarda;
	TMemo *Memo1;
	TPanel *Panel1;
	TLabel *Label1;
	TButton *Button2;
	TPopupMenu *menu;
	TMenuItem *FormatoHTML1;
	TMenuItem *FormatoTXT1;
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall SpinEdit1Change(TObject *Sender);
	int __fastcall maximo(int v1,int v2);
	int __fastcall minimo(int v1,int v2);
	void __fastcall Button4Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall FormatoHTML1Click(TObject *Sender);
	void __fastcall FormatoTXT1Click(TObject *Sender);
	String __fastcall puntos(String entrada);

private:	// User declarations
	int anchura;
	int altura;
	int tY; //guarda tamaņo vertical de imgtmp;
	utilidades* doc;
	TPicture* imgtmp;
	TPicture* imagen;
public:		// User declarations
	__fastcall TForm13(TComponent* Owner);
	void __fastcall TForm13::setImagen(TPicture* img);
	void __fastcall TForm13::setDoc(utilidades* documento);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm13 *Form13;
//---------------------------------------------------------------------------
#endif
